<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>tubafashe-api documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">tubafashe-api documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1272pt" height="298pt"
 viewBox="0.00 0.00 1272.00 298.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 294)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-294 1268,-294 1268,4 -4,4"/>
<text text-anchor="start" x="611.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="398,-10 398,-30 418,-30 418,-10 398,-10"/>
<text text-anchor="start" x="421.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="511,-10 511,-30 531,-30 531,-10 511,-10"/>
<text text-anchor="start" x="534.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="597,-10 597,-30 617,-30 617,-10 597,-10"/>
<text text-anchor="start" x="620.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="694,-10 694,-30 714,-30 714,-10 694,-10"/>
<text text-anchor="start" x="717.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="790,-10 790,-30 810,-30 810,-10 790,-10"/>
<text text-anchor="start" x="813.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="222,-146 222,-274 880,-274 880,-146 222,-146"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="#000000" points="230,-154 230,-206 872,-206 872,-154 230,-154"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_CampaignModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="324,-70 324,-138 516,-138 516,-70 324,-70"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_CampaignModule_providers</title>
<polygon fill="none" stroke="#000000" points="332,-78 332,-130 508,-130 508,-78 332,-78"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_CommonModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="888,-214 888,-282 1256,-282 1256,-214 888,-214"/>
</g>
<g id="clust16" class="cluster">
<title>cluster_CommonModule_exports</title>
<polygon fill="none" stroke="#000000" points="1032,-222 1032,-274 1248,-274 1248,-222 1032,-222"/>
</g>
<g id="clust18" class="cluster">
<title>cluster_CommonModule_providers</title>
<polygon fill="none" stroke="#000000" points="896,-222 896,-274 1024,-274 1024,-222 896,-222"/>
</g>
<g id="clust25" class="cluster">
<title>cluster_DonatorModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-138 316,-138 316,-70 8,-70"/>
</g>
<g id="clust28" class="cluster">
<title>cluster_DonatorModule_exports</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 140,-130 140,-78 16,-78"/>
</g>
<g id="clust30" class="cluster">
<title>cluster_DonatorModule_providers</title>
<polygon fill="none" stroke="#000000" points="148,-78 148,-130 308,-130 308,-78 148,-78"/>
</g>
<g id="clust31" class="cluster">
<title>cluster_PaymentModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="524,-70 524,-138 1050,-138 1050,-70 524,-70"/>
</g>
<g id="clust36" class="cluster">
<title>cluster_PaymentModule_providers</title>
<polygon fill="none" stroke="#000000" points="532,-78 532,-130 1042,-130 1042,-78 532,-78"/>
</g>
<!-- CampaignModule -->
<g id="node1" class="node">
<title>CampaignModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="478.5968,-198 475.5968,-202 454.5968,-202 451.5968,-198 361.4032,-198 361.4032,-162 478.5968,-162 478.5968,-198"/>
<text text-anchor="middle" x="420" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">CampaignModule</text>
</g>
<!-- AppModule -->
<g id="node6" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="592.6571,-266 589.6571,-270 568.6571,-270 565.6571,-266 509.3429,-266 509.3429,-230 592.6571,-230 592.6571,-266"/>
<text text-anchor="middle" x="551" y="-243.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppModule</text>
</g>
<!-- CampaignModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>CampaignModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M420,-198.2667C420,-216.5552 420,-242 420,-242 420,-242 499.1906,-242 499.1906,-242"/>
<polygon fill="#000000" stroke="#000000" points="499.1906,-245.5001 509.1906,-242 499.1906,-238.5001 499.1906,-245.5001"/>
</g>
<!-- CommonModule -->
<g id="node2" class="node">
<title>CommonModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="863.6681,-198 860.6681,-202 839.6681,-202 836.6681,-198 752.3319,-198 752.3319,-162 863.6681,-162 863.6681,-198"/>
<text text-anchor="middle" x="808" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">CommonModule</text>
</g>
<!-- CommonModule&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>CommonModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M808,-198.2921C808,-220.2057 808,-254 808,-254 808,-254 602.8635,-254 602.8635,-254"/>
<polygon fill="#000000" stroke="#000000" points="602.8635,-250.5001 592.8635,-254 602.8634,-257.5001 602.8635,-250.5001"/>
</g>
<!-- AppLogger  -->
<g id="node8" class="node">
<title>AppLogger </title>
<polygon fill="#fb8072" stroke="#000000" points="1240.0344,-266 1155.9656,-266 1155.9656,-230 1240.0344,-230 1240.0344,-266"/>
<text text-anchor="middle" x="1198" y="-243.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppLogger </text>
</g>
<!-- CommonModule&#45;&gt;AppLogger  -->
<g id="edge7" class="edge">
<title>CommonModule&#45;&gt;AppLogger </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M863.8775,-171C971.716,-171 1198,-171 1198,-171 1198,-171 1198,-219.7521 1198,-219.7521"/>
<polygon fill="#000000" stroke="#000000" points="1194.5001,-219.752 1198,-229.7521 1201.5001,-219.7521 1194.5001,-219.752"/>
</g>
<!-- ConfigBucket  -->
<g id="node9" class="node">
<title>ConfigBucket </title>
<polygon fill="#fb8072" stroke="#000000" points="1138.0442,-266 1039.9558,-266 1039.9558,-230 1138.0442,-230 1138.0442,-266"/>
<text text-anchor="middle" x="1089" y="-243.8" font-family="Times,serif" font-size="14.00" fill="#000000">ConfigBucket </text>
</g>
<!-- CommonModule&#45;&gt;ConfigBucket  -->
<g id="edge8" class="edge">
<title>CommonModule&#45;&gt;ConfigBucket </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M863.8525,-180C945.8006,-180 1089,-180 1089,-180 1089,-180 1089,-219.7772 1089,-219.7772"/>
<polygon fill="#000000" stroke="#000000" points="1085.5001,-219.7772 1089,-229.7772 1092.5001,-219.7773 1085.5001,-219.7772"/>
</g>
<!-- DatabaseModule -->
<g id="node3" class="node">
<title>DatabaseModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="734.3501,-198 731.3501,-202 710.3501,-202 707.3501,-198 623.6499,-198 623.6499,-162 734.3501,-162 734.3501,-198"/>
<text text-anchor="middle" x="679" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">DatabaseModule</text>
</g>
<!-- DatabaseModule&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>DatabaseModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M679,-198.2667C679,-216.5552 679,-242 679,-242 679,-242 602.912,-242 602.912,-242"/>
<polygon fill="#000000" stroke="#000000" points="602.912,-238.5001 592.912,-242 602.912,-245.5001 602.912,-238.5001"/>
</g>
<!-- DonatorModule -->
<g id="node4" class="node">
<title>DonatorModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="343.923,-198 340.923,-202 319.923,-202 316.923,-198 238.077,-198 238.077,-162 343.923,-162 343.923,-198"/>
<text text-anchor="middle" x="291" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">DonatorModule</text>
</g>
<!-- DonatorModule&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>DonatorModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M291,-198.2921C291,-220.2057 291,-254 291,-254 291,-254 499.2265,-254 499.2265,-254"/>
<polygon fill="#000000" stroke="#000000" points="499.2265,-257.5001 509.2265,-254 499.2265,-250.5001 499.2265,-257.5001"/>
</g>
<!-- DonatorService  -->
<g id="node11" class="node">
<title>DonatorService </title>
<polygon fill="#fb8072" stroke="#000000" points="131.8506,-122 24.1494,-122 24.1494,-86 131.8506,-86 131.8506,-122"/>
<text text-anchor="middle" x="78" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DonatorService </text>
</g>
<!-- DonatorModule&#45;&gt;DonatorService  -->
<g id="edge10" class="edge">
<title>DonatorModule&#45;&gt;DonatorService </title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M238.0746,-180C174.992,-180 78,-180 78,-180 78,-180 78,-132.0109 78,-132.0109"/>
<polygon fill="#000000" stroke="#000000" points="81.5001,-132.0109 78,-122.0109 74.5001,-132.011 81.5001,-132.0109"/>
</g>
<!-- PaymentModule -->
<g id="node5" class="node">
<title>PaymentModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="605.0438,-198 602.0438,-202 581.0438,-202 578.0438,-198 496.9562,-198 496.9562,-162 605.0438,-162 605.0438,-198"/>
<text text-anchor="middle" x="551" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">PaymentModule</text>
</g>
<!-- PaymentModule&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>PaymentModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M551,-198.2228C551,-198.2228 551,-219.7269 551,-219.7269"/>
<polygon fill="#000000" stroke="#000000" points="547.5001,-219.7269 551,-229.7269 554.5001,-219.727 547.5001,-219.7269"/>
</g>
<!-- CampaignService -->
<g id="node7" class="node">
<title>CampaignService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="420" cy="-104" rx="79.874" ry="18"/>
<text text-anchor="middle" x="420" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CampaignService</text>
</g>
<!-- CampaignService&#45;&gt;CampaignModule -->
<g id="edge6" class="edge">
<title>CampaignService&#45;&gt;CampaignModule</title>
<path fill="none" stroke="#000000" d="M420,-122.0109C420,-122.0109 420,-151.855 420,-151.855"/>
<polygon fill="#000000" stroke="#000000" points="416.5001,-151.8549 420,-161.855 423.5001,-151.855 416.5001,-151.8549"/>
</g>
<!-- AppLogger -->
<g id="node10" class="node">
<title>AppLogger</title>
<ellipse fill="#fdb462" stroke="#000000" cx="960" cy="-248" rx="55.6024" ry="18"/>
<text text-anchor="middle" x="960" y="-243.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppLogger</text>
</g>
<!-- AppLogger&#45;&gt;CommonModule -->
<g id="edge9" class="edge">
<title>AppLogger&#45;&gt;CommonModule</title>
<path fill="none" stroke="#000000" d="M960,-229.9775C960,-212.6266 960,-189 960,-189 960,-189 873.7361,-189 873.7361,-189"/>
<polygon fill="#000000" stroke="#000000" points="873.7361,-185.5001 863.7361,-189 873.7361,-192.5001 873.7361,-185.5001"/>
</g>
<!-- DonatorService -->
<g id="node12" class="node">
<title>DonatorService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="228" cy="-104" rx="71.7679" ry="18"/>
<text text-anchor="middle" x="228" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DonatorService</text>
</g>
<!-- DonatorService&#45;&gt;DonatorModule -->
<g id="edge11" class="edge">
<title>DonatorService&#45;&gt;DonatorModule</title>
<path fill="none" stroke="#000000" d="M258.7372,-120.4909C258.7372,-120.4909 258.7372,-151.9469 258.7372,-151.9469"/>
<polygon fill="#000000" stroke="#000000" points="255.2373,-151.9469 258.7372,-161.9469 262.2373,-151.9469 255.2373,-151.9469"/>
</g>
<!-- DonatorService&#45;&gt;PaymentModule -->
<g id="edge13" class="edge">
<title>DonatorService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M279.1855,-116.6892C279.1855,-124.0977 279.1855,-132 279.1855,-132 279.1855,-132 519.9502,-132 519.9502,-132 519.9502,-132 519.9502,-151.8533 519.9502,-151.8533"/>
<polygon fill="#000000" stroke="#000000" points="516.4503,-151.8532 519.9502,-161.8533 523.4503,-151.8533 516.4503,-151.8532"/>
</g>
<!-- CurrencyRateService -->
<g id="node13" class="node">
<title>CurrencyRateService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="940" cy="-104" rx="93.7359" ry="18"/>
<text text-anchor="middle" x="940" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CurrencyRateService</text>
</g>
<!-- CurrencyRateService&#45;&gt;PaymentModule -->
<g id="edge12" class="edge">
<title>CurrencyRateService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M855.108,-111.9262C855.108,-125.5596 855.108,-152 855.108,-152 855.108,-152 589.007,-152 589.007,-152 589.007,-152 589.007,-152.9793 589.007,-152.9793"/>
<polygon fill="#000000" stroke="#000000" points="585.5071,-151.793 589.007,-161.793 592.5071,-151.7931 585.5071,-151.793"/>
</g>
<!-- KpayService -->
<g id="node14" class="node">
<title>KpayService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="767" cy="-104" rx="60.8139" ry="18"/>
<text text-anchor="middle" x="767" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">KpayService</text>
</g>
<!-- KpayService&#45;&gt;PaymentModule -->
<g id="edge14" class="edge">
<title>KpayService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M720.259,-115.6077C720.259,-126.7828 720.259,-142 720.259,-142 720.259,-142 572.7425,-142 572.7425,-142 572.7425,-142 572.7425,-151.8903 572.7425,-151.8903"/>
<polygon fill="#000000" stroke="#000000" points="569.2426,-151.8903 572.7425,-161.8903 576.2426,-151.8904 569.2426,-151.8903"/>
</g>
<!-- PaymentService -->
<g id="node15" class="node">
<title>PaymentService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="614" cy="-104" rx="73.5734" ry="18"/>
<text text-anchor="middle" x="614" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">PaymentService</text>
</g>
<!-- PaymentService&#45;&gt;PaymentModule -->
<g id="edge15" class="edge">
<title>PaymentService&#45;&gt;PaymentModule</title>
<path fill="none" stroke="#000000" d="M556.4781,-115.5428C556.4781,-115.5428 556.4781,-151.8263 556.4781,-151.8263"/>
<polygon fill="#000000" stroke="#000000" points="552.9782,-151.8263 556.4781,-161.8263 559.9782,-151.8263 552.9782,-151.8263"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">6 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-swap"></span></h4>
                    <p class="card-text">6 Controllers</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">7 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">21 Classes</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">1 Interface</p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 











                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
